# Generated from adparlor-facebook-0.7.5.gem by gem2rpm -*- rpm-spec -*-
%global gem_name adparlor-facebook

Name: rubygem-%{gem_name}
Version: 0.7.5
Release: 1%{?dist}
Summary: A ruby implementation of the facebook sdk
License: MIT
URL: http://adparlor.com
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(guard)
# BuildRequires: rubygem(guard-bundler)
# BuildRequires: rubygem(guard-rspec)
# BuildRequires: rubygem(guard-rubocop)
# BuildRequires: rubygem(rspec-rerun)
# BuildRequires: rubygem(simplecov)
# BuildRequires: rubygem(vcr)
# BuildRequires: rubygem(webmock)
# BuildRequires: rubygem(byebug)
BuildArch: noarch

%description
The adparlor-facebook gem is a ruby library for interacting with the Facebook
ads API. Supporting both REST and batch requests.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.gitlab-ci.yml
%exclude %{gem_instdir}/.rubocop.yml
%{gem_instdir}/.ruby-version
%exclude %{gem_instdir}/.travis.yml
%{gem_instdir}/Guardfile
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_libdir}
%{gem_instdir}/solano.yml
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/adparlor-facebook.gemspec

%changelog
* Sun Sep 12 2021 mockbuilder - 0.7.5-1
- Initial package
